# Generated from buweb_content_models-1.55.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name buweb_content_models

Name: rubygem-%{gem_name}
Version: 1.55.2
Release: 1%{?dist}
Summary: Mongoid models for Biola web content
License: MIT
URL: https://github.com/biola/buweb-content-models
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(factory_girl) >= 4.5
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(faker) >= 1.4
# BuildRequires: rubygem(faker) < 2
# BuildRequires: rubygem(mongoid-rspec) >= 3.0
# BuildRequires: rubygem(mongoid-rspec) < 4
# BuildRequires: rubygem(pry) >= 0.9
# BuildRequires: rubygem(pry) < 2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(wisper-rspec) >= 0.0.2
# BuildRequires: rubygem(wisper-rspec) < 0.1
BuildArch: noarch

%description
Shared Mongoid models for Biola web content to be used by apps that are part
of the Biola WCMS platform.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Tue Feb 18 2020 mockbuilder - 1.55.2-1
- Initial package
